#
# spec file for package ghc-groom
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name groom
Name:           ghc-%{pkg_name}
Version:        0.1.2.1
Release:        8.1
Summary:        Pretty printing for well-behaved Show instances
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-rpm-macros

%description
Automatically derived Show instances are an easy way to inspect data in your
program. However, for large data-structures, the resulting output lacks
whitespace, making it unreadable. Groom offers an replacement to `show' called
`groom' which attempts to pretty-print the output of `show'. For example:

> let x = parseExp "foobar 1 [1,2]" > in do > putStrLn (show x) > putStrLn
(groom x)

results in:

> ParseOk (App (App (Var (UnQual (Ident "foobar"))) (Lit (Int 1))) (List [Lit
(Int 1),Lit (Int 2)])) > ParseOk > (App (App (Var (UnQual (Ident "foobar")))
(Lit (Int 1))) > (List [Lit (Int 1), Lit (Int 2)]))

Groom works only on Show instances that output valid Haskell code; if Groom
can't understand its input, it will not make any changes.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%{_bindir}/%{pkg_name}

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Apr 24 2017 psimons@suse.com
- Update to version 0.1.2.1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.2 revision 0 with cabal2obs.
